2020-01-27 01:40 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002729NetSurf[All Projects] Generalpublic2019-12-23 19:24
Reporterkindnesstheorist 
Assigned To 
SeveritymajorReproducibilityalways 
StatusnewResolutionopen 
PlatformMacbook Pro 2013OSMac OS XOS Version10.15.1
Product Version2.9 
Target VersionFixed in Version 
Summary0002729: downloaded app; will not start
DescriptionApple no longer supports 32-bit applications for Mac.
Steps To ReproduceDownload NetSurf 2.9 to a computer running OSX 10.15.x (it should reproduce on 10.15.2 as well as 10.15.1) from this link:

http://download.netsurf-browser.org/netsurf/releases/pre-built/macosx/NetSurf-2.9.dmg

Double-click on the downloaded file to open and mount it. Double-click on NetSurf.app in the mounted disk image. An error message will appear.

The error message shows a yellow triangle with an exclamation mark in it. The message reads "'NetSurf.app' needs to be updated." It continues in smaller text "The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information." Options are "Learn More" with a link to Apple help (https://support.apple.com/kb/HT208436) and "OK".

Apple provides no option to start the app anyway.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-12-23 19:24 kindnesstheorist New Issue
+Issue History